/**
 * <copyright>
 * </copyright>
 *
 * $Id: TransformationExecutionValidator.java,v 1.1 2008-04-01 09:35:22 vmahe Exp $
 */
package orgomg.cwm.management.warehouseoperation.validation;

import orgomg.cwm.objectmodel.core.Expression;

/**
 * A sample validator interface for {@link orgomg.cwm.management.warehouseoperation.TransformationExecution}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface TransformationExecutionValidator {
	boolean validate();

	boolean validateStartDate(String value);
	boolean validateEndDate(String value);
	boolean validateInProgress(boolean value);
	boolean validateSuccessful(boolean value);
	boolean validateStatus(Expression value);
}
